import { app } from './index.ts';
import { proxyRoute } from './proxy-route/index.ts';
import getPort, { portNumbers } from 'get-port';
// 检车端口可用性
const isPortAvailable = await getPort({ port: portNumbers(51015, 52000) });
if (!isPortAvailable) {
  console.log(`Port ${isPortAvailable} is not available`);
  process.exit(1);
}

app.listen(isPortAvailable, () => {
  console.log('Router App is running on https://localhost:51015');
});

app.server.on(proxyRoute);

// 如果是被fork启动的，向父进程发送消息
if (process.env.NODE_ENV_PARENT === 'fork') {
  process.send({
    type: 'fork',
    data: {
      port: isPortAvailable,
    },
  });
}
