import { app } from '@/app.ts';
import { getCacheAssistantConfig, setConfig } from '@/modules/config/index.ts';
import { reload } from '@/modules/parent-msg.ts';

app
  .route({
    path: 'config',
    description: '获取配置',
  })
  .define(async (ctx) => {
    ctx.body = getCacheAssistantConfig();
  })
  .addTo(app);

app
  .route({
    path: 'config',
    key: 'set',
    description: '设置配置',
  })
  .define(async (ctx) => {
    const { data } = ctx.query;
    reload();

    ctx.body = setConfig(data);
  })
  .addTo(app);
