import { app } from '@/app.ts';
import { getInstallList, installApp, uninstallApp } from '@/modules/install.ts';

app
  .route({
    path: 'shop',
    key: 'list-installed',
  })
  .define(async (ctx) => {
    // https://localhost:51015/client/router?path=shop&key=list-installed
    const list = await getInstallList();
    ctx.body = list;
  })
  .addTo(app);

app
  .route({
    path: 'shop',
    key: 'install',
  })
  .define(async (ctx) => {
    // https://localhost:51015/client/router?path=shop&key=install
    const { pkg } = ctx.query.data;
    const res = await installApp(pkg);
    ctx.body = res;
  })
  .addTo(app);

app
  .route({
    path: 'shop',
    key: 'uninstall',
  })
  .define(async (ctx) => {
    // https://localhost:51015/client/router?path=shop&key=uninstall
    const { pkg } = ctx.query.data;
    const res = await uninstallApp(pkg);
    ctx.body = res;
  })
  .addTo(app);
